#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 50. PostScript

- Prev

  PostScript

- Next

  ePDFView-0.1.8

- Up
- Home

# Enscript-1.6.6

## Introduction to Enscript

Enscript converts ASCII text files to PostScript, HTML, RTF, ANSI and overstrikes.

This package is known to build and work properly using an LFS-10.1 platform.

### Caution

Enscript cannot convert UTF-8 encoded text to PostScript. The issue is discussed in detail in the Needed Encoding Not a Valid Option section of the Locale Related Issues page. The solution is to use paps-0.7.1, instead of Enscript, for converting UTF-8 encoded text to PostScript.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/enscript/enscript-1.6.6.tar.gz

- Download (FTP): ftp://ftp.gnu.org/gnu/enscript/enscript-1.6.6.tar.gz

- Download MD5 sum: 3acc242b829adacabcaf28533f049afd

- Download size: 1.3 MB

- Estimated disk space required: 14 MB

- Estimated build time: 0.1 SBU

### Enscript Dependencies

#### Optional

texlive-20200406 (or install-tl-unx)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/Enscript

## Installation of Enscript

Install Enscript by running the following commands:

    ./configure --prefix=/usr              \
                --sysconfdir=/etc/enscript \
                --localstatedir=/var       \
                --with-media=Letter &&
    make &&

    pushd docs &&
      makeinfo --plaintext -o enscript.txt enscript.texi &&
    popd

If you have texlive-20200406 installed, you can create Postscript and PDF documentation by issuing (does not support parallel make):

    make -j1 -C docs ps pdf

To test the results, issue: make check.

Now, as the `root` user:

    make install &&

    install -v -m755 -d /usr/share/doc/enscript-1.6.6 &&
    install -v -m644    README* *.txt docs/*.txt \
                        /usr/share/doc/enscript-1.6.6

If you built Postscript and PDF documentation, install it using the following command as the `root` user:

    install -v -m644 docs/*.{dvi,pdf,ps} \
                     /usr/share/doc/enscript-1.6.6

## Command Explanations

`--sysconfdir=/etc/enscript`: This switch puts configuration data in `/etc/enscript` instead of `/usr/etc`.

`--localstatedir=/var`: This switch sets the directory for runtime data to `/var` instead of `/usr/var`.

`--with-media=Letter`: This switch sets the medium format to letter size instead of the A4 default.

## Contents

Installed Programs: diffpp, enscript, mkafmmap, over, sliceprint, and states
Installed Libraries: None
Installed Directories: /etc/enscript, /usr/share/doc/enscript-1.6.6, and /usr/share/enscript

### Short Descriptions

diffpp | converts diff output files to a format suitable to be printed with enscript
enscript | is a filter, used primarily by printing scripts, that converts ASCII text files to PostScript, HTML, RTF, ANSI and overstrikes
mkafmmap | creates a font map from a given file
over | is a script which calls enscript and passes the correct parameters to create overstriked fonts
sliceprint | slices documents with long lines
states | is an awk-like text processing tool with some state machine extensions. It is designed for program source code highlighting and for similar tasks where state information helps input processing

Last updated on 2021-02-22 12:20:59 -0800

- Prev

  PostScript

- Next

  ePDFView-0.1.8

- Up
- Home